## Copyright (C) 2009 Søren Hauberg
## 
## This program is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or (at
## your option) any later version.
##
## This program is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING.  If not, see
## <http://www.gnu.org/licenses/>.

## -*- texinfo -*-
## @deftypefn{Function File} send_to_gimp (@var{im})
## Sends the given image back to the GIMP.
## Currently, @var{im} must have the same dimensions as the image that was given
## to Octave from the GIMP.
## @end deftypefn

function send_to_gimp (im)
  im = double (im);
  if (max (im (:)) <= 1)
    im *= 255;
  endif
  
  ## The file format is slightly different from matrices to arrays, so we ensure
  ## that 'im' is always an array.
  if (ndims (im) == 2)
    im = resize (im, [size(im, 1), size(im, 2), 1]);
  endif
  
  save -text matrix_out.txt im
endfunction
